package com.spring.series.auto.wiring;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestEmployee {

	public static void main(String[] args) {
		testAutoWiring();
	}

	private static void testAutoWiring(){

		ApplicationContext applicationContext = new ClassPathXmlApplicationContext("com/spring/series/auto/wiring/SpringContext.xml");
		Employee employee = (Employee) applicationContext.getBean("employee");

		System.out.println("Spring Autowiring using byType mode \n");

		// invoke print() method of Employee class
		employee.printEmployeeDetail();
	}
}